import {connect} from 'react-redux'
import StoreList from '../components/StoreList'
import {getStoreList} from '../actions'

const mapStateToProps = (state) => ({
  dev: state.sys.dev,
  show: state.ui.page == 0,
  refresh: state.ui.loading,
  list: state.sys.store || []
})

const mapDispatchToProps = (dispatch, ownProps) => ({
  getList: () => {
    dispatch(getStoreList())
  }
})

export default connect(mapStateToProps, mapDispatchToProps)(StoreList)